Skip to main content
POST
/
invoices
/
{invoiceId}
/
reminders
Send a payment reminder now
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({subject: '<string>', message: '<string>'})
};

fetch('https://api.dolfinai.co/invoices/{invoiceId}/reminders', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scheduledAt": "2023-11-07T05:31:56Z",
  "subject": "<string>",
  "body": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "sentAt": "2023-11-07T05:31:56Z",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "failureReason": "<string>"
}

Path Parameters

invoiceId
string<uuid>
required

Body

application/json
subject
null | string
message
null | string

Response

OK

id
string<uuid>
invoiceId
string<uuid>
offset
null | enum<string>

The preset offset this reminder was auto-scheduled from, or null for ad-hoc reminders created via POST /invoices/{id}/reminders with an explicit scheduledAt.

Available options:
OneWeekBefore,
TwoDaysBefore,
OnDueDate,
TwoDaysAfter,
OneWeekAfter
scheduledAt
string<date-time>
status
enum<string>
Available options:
Pending,
Sent,
Cancelled,
Failed
subject
null | string
body
null | string
createdAt
string<date-time>
updatedAt
string<date-time>
sentAt
null | string<date-time>
cancelledAt
null | string<date-time>
failureReason
null | string